Summary: A utility to collect various linux performance data
Name: collectl
Version: 3.1.0
Release: 1%{?dist}
License: GPLv2+ or Artistic
Group: Applications/System
Source0: http://download.sourceforge.net/%{name}/%{name}-%{version}.src.tar.gz
Source1: %{name}.initd
Source2: %{name}.sysconfig
URL: http://collectl.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: perl(Sys::Syslog), perl(Time::HiRes), perl(Compress::Zlib)
Requires(post): chkconfig
Requires(postun): initscripts
Requires(preun): chkconfig
Requires(preun): initscripts

%description
A utility to collect linux performance data

%prep
%setup -q

# rename directory for easier inclusion
mv docs html

# fix EOLs + preserve timestamps
for f in ARTISTIC GPL
do
    sed -i.orig 's/\r//g' $f
    touch -r $f.orig $f
done

%build
cat > %{name} << EOF
#!/bin/sh
cd %{_libexecdir}/%{name}
exec /usr/bin/perl %{name}.pl \$@
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

# create required directories
mkdir -p        $RPM_BUILD_ROOT%{_initrddir} \
                $RPM_BUILD_ROOT%{_sysconfdir} \
                $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig \
                $RPM_BUILD_ROOT%{_bindir} \
                $RPM_BUILD_ROOT%{_libexecdir}/%{name} \
                $RPM_BUILD_ROOT%{_mandir}/man1/ \
                $RPM_BUILD_ROOT%{_localstatedir}/log/%{name}

# install the files, setting the mode

install -p -m 755  collectl          $RPM_BUILD_ROOT%{_bindir}
install -p -m 755  collectl.pl       $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  formatit.ph       $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  sexpr.ph          $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  lexpr.ph          $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 644  vmstat.ph         $RPM_BUILD_ROOT%{_libexecdir}/%{name}
install -p -m 755  readS             $RPM_BUILD_ROOT%{_bindir}
install -p -m 644  man1/collectl*.1  $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 644  collectl.conf     $RPM_BUILD_ROOT%{_sysconfdir}
install -p -m 755  %{SOURCE1}        $RPM_BUILD_ROOT%{_initrddir}/%{name}
install -p -m 644  %{SOURCE2}        $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name}

%post
/sbin/chkconfig --add %{name}

%postun
if [ "$1" -ge "1" ] ; then
    /sbin/service %{name} condrestart >/dev/null 2>&1 || :
fi

%preun
if [ $1 = 0 ] ; then
    /sbin/service %{name} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{name}
fi

%files
%defattr(-,root,root,-)
%doc ARTISTIC COPYING GPL RELEASE-collectl html
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_bindir}/*
%{_libexecdir}/%{name}
%{_mandir}/man1/*
%{_localstatedir}/log/%{name}

%changelog
* Mon Sep 22 2008 Dan Horak <dan[at]danny.cz> 3.1.0-1
- upgrade to upstream version 3.1.0
- remove logrotate support because internal mechanism is used by default

* Tue Jul  8 2008 Karel Zak <kzak@redhat.com> 3.0.0-1
- upgrade to upstream version 3.0.0

* Thu Jun 19 2008 Karel Zak <kzak@redhat.com> 2.6.4-1
- initial packaging (thanks to Dan Horak), based upon upstream srpm
